Bug 2274166 - CVE-2023-52323 pycryptodomex: side-channel leakage for OAEP decryption in PyCryptodome and pycryptodomex
Summary: CVE-2023-52323 pycryptodomex: side-channel leakage for OAEP decryption in PyC...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-pycryptodomex
Version: epel9
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-04-09 13:36 UTC by Blaine
Modified: 2024-05-11 20:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-05-11 20:43:10 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 2257028 0 medium NEW CVE-2023-52323 pycryptodome: side-channel leakage for OAEP decryption in PyCryptodome and pycryptodomex 2024-05-22 09:23:36 UTC

Description Blaine 2024-04-09 13:36:26 UTC
Description of problem: CVE-2023-52323 side-channel leakage for OAEP decryption


Version-Release number of selected component (if applicable): Latest EPEL9: python3-pycryptodomex-3.14.0-1.el9.x86_64.rpm


Additional info: Minimum version required for mitigation: 3.19.1: https://nvd.nist.gov/vuln/detail/CVE-2023-52323

Comment 1 Fedora Update System 2024-04-12 01:44:59 UTC
FEDORA-EPEL-2024-5fc8709aa5 (python-pycryptodomex-3.20.0-1.el9) has been submitted as an update to Fedora EPEL 9.
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-5fc8709aa5

Comment 2 Fedora Update System 2024-04-13 01:25:07 UTC
FEDORA-EPEL-2024-5fc8709aa5 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-5fc8709aa5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.


Note You need to log in before you can comment on or make changes to this bug.